﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ChangePos : MonoBehaviour {

	public float range=3;
	float inPosX,inPosY;
	public bool isX;
	public bool isPendulum;
	Rigidbody2D r;

	void Awake (){
		r = this.GetComponent<Rigidbody2D> ();
		inPosX = transform.position.x;
		inPosY = transform.position.y;
	}

	void Update() {
		Vector3 pos;
		if (!GameController.instance)
			return;
		if (isX) {
			pos = new Vector3 (
				inPosX + (GameController.instance.sin*range),
				isPendulum ?  Mathf.Lerp (inPosY, inPosY+range, Mathf.Abs(GameController.instance.sin)) : transform.position.y);
		} else {
			pos = new Vector3 (
				isPendulum ?  Mathf.Lerp (inPosX, inPosX+range, Mathf.Abs(GameController.instance.sin)) : transform.position.x,
				inPosY +(GameController.instance.sin*range));
		}
		transform.position = pos;
	}

	void OnDrawGizmos(){
		Gizmos.color = Color.green;
		if (isX) {
			Gizmos.DrawWireCube (
				transform.position,
				new Vector3 (transform.localScale.x + Mathf.Abs(range) + 2, transform.localScale.y, 0));
		} else {
			Gizmos.DrawWireCube (
				transform.position,
				new Vector3 (transform.localScale.x, transform.localScale.y + Mathf.Abs(range) + 2, 0));

		}
		if (isPendulum) {
			Gizmos.DrawWireCube (
				new Vector3 (transform.position.x, transform.position.y+range-0.5f),
				new Vector3 (transform.localScale.x, transform.localScale.y + range + 1f, 0));
		}
	}



}
