﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ChangeSize : MonoBehaviour {

	public float expansion = 3;
	float inSize = 1;
	public bool isX;
	Transform left, right;

	void Awake (){
		//left = transform.FindChild ("Left");
		//right = transform.FindChild ("Right");
		if (isX) {
			inSize = transform.localScale.x;
		} else {
			inSize = transform.localScale.y;
		}
	}

	void Update() {
		Vector3 scale;

		if (isX) {
			scale = new Vector3 (inSize * (GameController.instance.sin+2) * expansion, transform.localScale.y, 0);
			//left.localPosition=new Vector3(-scale.x,0);
		} else {
			scale = new Vector3 (transform.localScale.x, inSize * (GameController.instance.sin+2) * expansion, 0);
		}
			
		transform.localScale = scale;
	}

	void OnDrawGizmos(){
		Gizmos.color = Color.blue;
		if (isX) {
			Gizmos.DrawWireCube (
				transform.position,
				new Vector3 (transform.localScale.x * 3 * expansion, 1, 0));
			Gizmos.DrawCube (
				transform.position,
				new Vector3 (transform.localScale.x+2, transform.localScale.y, 0));
		} else {
			Gizmos.DrawWireCube (
				transform.position,
				new Vector3 (transform.localScale.x,transform.localScale.y * 3 * expansion, 0));
			Gizmos.DrawCube (
				transform.position,
				new Vector3 (transform.localScale.x, transform.localScale.y+2, 0));
		}
	}
}
